<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class UsersController extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function index()
    {
        $newUsers = User::where('new', 1)->get();

        return view('users.users-grid', [
            'newUsers' => $newUsers
        ]);
    }

    public function update($userId)
    {
        $user = User::findOrFail($userId);

        // $user->checkIfaddressesExist();

        return view('users.users-update', [
            'user' => $user
        ]);

    }

}
