<?php

namespace Database\Factories;

use App\Models\Company;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class CompanyFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Company::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'name' => $this->faker->company(),
            'email' => $this->faker->unique()->safeEmail(),
            'street' => 'test',
            'zip' => $this->faker->postcode(),
            'town' => $this->faker->city(),
            'country' => $this->faker->country(),
            'credit' => $this->faker->numberBetween(100000, 10000000),
            'type' => $this->faker->numberBetween(1,2),
        ];
    }
}
