<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('css/app.css') }}">
        <link rel="stylesheet" href="/css/override.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">


        @livewireStyles

        <!-- Scripts -->
        <script src="{{ mix('js/app.js') }}" defer></script>
        <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
        <script src="https://npmcdn.com/flatpickr/dist/l10n/cs.js"></script>
    </head>
    <body class="font-sans antialiased">

        @impersonating
        <div class="bg-red-700 text-white text-center py-4">
            <x-button-link href="{{ route('impersonate.leave') }}">Odhlásit se jako  <span class="ml-2 text-blue-200">{{ auth()->user()->name }} {{ auth()->user()->surname }}</span></x-button-link>
        </div>
        @endImpersonating

        <x-jet-banner />

        <div class="min-h-screen bg-gray-100">
            @livewire('navigation-menu')

            <!-- Page Heading -->
            @if (isset($header))
                <header class="bg-white shadow">
                    <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                        {{ $header }}
                    </div>
                </header>
            @endif

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
        </div>

        @stack('modals')

        @livewireScripts
        <script>
            window.addEventListener('initialize-flatpickr', event => {
                flatpickr(".flatpickr", {
                    "locale": "cs",  // locale for this instance only,
                    altInput: true,
                    altFormat:" j. n. Y"
                });

                flatpickr(".flatpickr-future", {
                    "locale": "cs",  // locale for this instance only,
                    altInput: true,
                    altFormat:" j. n. Y",
                    minDate: "today",
                });
            })
        </script>

    </body>
</html>
